2019-08-24 09:23 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005323Spring engineGeneralpublic2016-09-17 03:07
Reporterabma 
Assigned Toabma 
PrioritynormalSeveritytweakReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target Version104.0Fixed in Version 
Summary0005323: allow to configure SDL_HINT_VIDEO_MINIMIZE_ON_FOCUS_LOSS
Descriptionhttps://springrts.com/phpbb/viewtopic.php?f=11&t=35333&p=578729
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0016574

abma (administrator)

config should have three values:

-1 (don't give hint)
0
1

https://wiki.libsdl.org/SDL_SetHint
https://wiki.libsdl.org/SDL_HINT_VIDEO_MINIMIZE_ON_FOCUS_LOSS?highlight=%28\bCategoryDefine\b%29|%28CategoryHints%29


SDL_SetHint(SDL_HINT_VIDEO_MINIMIZE_ON_FOCUS_LOSS, "0");

~0016675

abma (administrator)

Fix 42fc1cdc1c7149a4649303b42beb4cf6e24a4302 committed to develop branch: add config MinimizeOnFocusLoss:
When set to 1 minimize Window if it loses key focus when in fullscreen mode.
fix 0005323, repo: spring changeset id: 7366

~0016676

abma (administrator)

i made 0 default as it very likely fixes some problems with alt+tab / wanted this to be tested more widely.

when set to 1 it behaves as before: SDL_Hint not set at all.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2016-07-29 01:03 abma New Issue
2016-07-29 01:07 abma Note Added: 0016574
2016-09-17 03:05 abma Changeset attached => spring develop 42fc1cdc
2016-09-17 03:05 abma Note Added: 0016675
2016-09-17 03:05 abma Assigned To => abma
2016-09-17 03:05 abma Status new => resolved
2016-09-17 03:05 abma Resolution open => fixed
2016-09-17 03:07 abma Note Added: 0016676
+Issue History